trbdf(1)

NAME
trbdf - convert BDF-font from one encoding to other

SYNOPSIS
trbdf -C | -l | -h

trbdf [-s] [-f input-codeset ] [-t output-codeset ] [--foundry[=] new-foundry ] BDF-font

DESCRIPTION
trbdf is a program for translation of BDF fonts from one encoding to other. One exciting feature of trbdf is that it tries to approximate the symbols that miss from the font or from the encoding of the font with existing symbols when possible.

If the option -s or --gen-script is given trbdf will generate an awk(1) script for translation of BDF-fonts for fixed combination of input-codeset and output-codeset This is useful for faster conversion of many files. This script is used as filter.

If none of -C, -s, -l, -h and their equivalents is given the BDF-font will be read assuming it is coded with codeset input-codeset On standard output it will be recoded so to use codeset output-codeset Both input-codeset and output-codeset are case insensitive and default to `cp1251'.

OPTIONS

-C, --copyright
    Display copying conditions and warranty information.

-s, --gen-script
    Generates conversion script for given input and output encodings instead to convert BDF-font. This option is useful if you have to convert many fonts. The generated script expects the input font from its standard input and outputs the converted font.

-l, --list
    List all known codesets.

-h, --help
    Display this help and exit.

-f input-codeset, --from[=]input-codeset
    Codeset of the source font.

-f output-codeset, --to[=]output-codeset
    Codeset of the generated font.

--foundry[=]new-foundry
    Use this option if you want to change the foundry of the generated fonts.

AUTHOR
Anton Zinoviev <anton@lml.bas.bg>, <zinoviev@fmi.uni-sofia.bg>

SEE ALSO
bdftopcf(1x)